Update an object property group
curl --request PUT \
--url https://api.hubapi.com/properties/v2/{object_type}/groups/named/{group_name} \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"displayOrder": 123
}
'import requests
url = "https://api.hubapi.com/properties/v2/{object_type}/groups/named/{group_name}"
payload = {
"displayName": "<string>",
"displayOrder": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', displayOrder: 123})
};
fetch('https://api.hubapi.com/properties/v2/{object_type}/groups/named/{group_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"displayName": "<string>",
"displayOrder": 123,
"hubspotDefined": true,
"portalId": 123
}v2
Update an object property group
Update the details for an existing property group.
PUT
/
properties
/
v2
/
{object_type}
/
groups
/
named
/
{group_name}
Update an object property group
Scope requirements
Scope requirements
Path Parameters
The specific type of CRM object that the property group is assigned to. You can use the object name (e.g., contacts) or the objectTypeId (e.g., 0-1).
The name of the group.
Body
application/json
Response
200 - application/json
Object property group updated successfully
Last modified on March 16, 2026
Was this page helpful?
⌘I